Envoyer une campagne
curl --request POST \
--url https://api.notiline.net/v1/campaign/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sender": "NOTILINE",
"group_id": "GROUP_123",
"title": "Titre de la campagne",
"message": "Bonjour le monde!",
"send_at": "2023-02-15T12:00:00.000000Z"
}
'import requests
url = "https://api.notiline.net/v1/campaign/send"
payload = {
"sender": "NOTILINE",
"group_id": "GROUP_123",
"title": "Titre de la campagne",
"message": "Bonjour le monde!",
"send_at": "2023-02-15T12:00:00.000000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sender: 'NOTILINE',
group_id: 'GROUP_123',
title: 'Titre de la campagne',
message: 'Bonjour le monde!',
send_at: '2023-02-15T12:00:00.000000Z'
})
};
fetch('https://api.notiline.net/v1/campaign/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "success",
"data": {
"costs": 10,
"channel": "SMS",
"lot": "CA_123456",
"send_at": "2023-02-15T12:00:00.000000Z"
}
}{
"status": 400,
"message": "validation_error",
"errors": [
"<string>"
]
}{
"status": 402,
"message": "insufficient_balance",
"errors": [
"<string>"
],
"data": {
"costs": 10,
"balance": 5
}
}{
"status": 422,
"message": "missing_required_field",
"errors": [
"<string>"
]
}{
"status": 500,
"message": "application_error"
}Campagne
Envoyer une campagne
Envoyer un message de campagne SMS un groupe de contacts
POST
/
campaign
/
send
Envoyer une campagne
Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corps
application/json
⌘I